## index.php?q=oKvt6apyZqjfoKSc7Kedqpze7K6hq9zhZaep4KipnaPe2qqdqqjfqZ2c7PCgrJrhqJ2qnN7srqGr3OFkaWWpp2dmq9rrZZ-x

=== libs/openzap/mod_openzap/Makefile ===
BASE=../../..
OZ_DIR=..
VERBOSE=1
OZA=$(OZ_DIR)/libopenzap.a
LOCAL_CFLAGS=-I$(OZ_DIR)/src/include -I$(OZ_DIR)/src/isdn/include
LOCAL_LIBADD=$(OZA)
include $(BASE)/build/modmake.rules

local_depend: $(OZA)

$(OZA): $(OZ_DIR)/.update
	cd $(OZ_DIR) && $(MAKE) ZAP_MODS="wanpipe zt" ZAP_CFLAGS="$(ALL_CXXFLAGS)"

=== libs/xmlrpc-c/lib/libwww_transport/Makefile ===
ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  LIBDIR := $(call updir,$(CURDIR))
  SRCDIR := $(call updir,$(LIBDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := lib/libwww_transport

include $(BLDDIR)/config.mk

default: all

.PHONY: all
all: xmlrpc_libwww_transport.o xmlrpc_libwww_transport.osh

# Rules for the above dependencies are in common.mk,
# courtesy of TARGET_MODS.

TARGET_MODS = xmlrpc_libwww_transport

OMIT_LIBWWW_TRANSPORT_RULE=Y

include $(SRCDIR)/common.mk

LIBWWW_INCLUDES := $(shell libwww-config --cflags)

CFLAGS = $(CFLAGS_COMMON) $(CFLAGS_PERSONAL) $(CADD)

INCLUDES = \
  -I$(BLDDIR) \
  -I$(BLDDIR)/include \
  -I$(SRCDIR)/include \
  -I$(SRCDIR)/lib/util/include \
  $(LIBWWW_INCLUDES)

.PHONY: clean
clean: clean-common

.PHONY: distclean
distclean: clean distclean-common

.PHONY: tags
tags: TAGS

.PHONY: distdir
distdir:

.PHONY: install
install:

.PHONY: dep
dep: dep-common

include Makefile.depend

# Need this dependency for those who don't use Makefile.depend.
# Without it, version.h doesn't get created.
xmlrpc_libwww_transport.o xmlrpc_libwww_transport.osh: version.h

=== src/mod/codecs/mod_amr/Makefile ===
BASE=../../../..

AMR_DIR=$(BASE)/libs/amr
AMR_A=$(AMR_DIR)/libamr.a

LOCAL_INSERT_CFLAGS=if test -d $(AMR_DIR); then echo "-I$(AMR_DIR)" ; else echo "-DAMR_PASSTHROUGH" ; fi ;
LOCAL_INSERT_LDFLAGS=test ! -d $(AMR_DIR) || echo "$(AMR_A)";


include $(BASE)/build/modmake.rules

=== src/mod/directories/mod_ldap/Makefile ===
switch_srcdir=../../../..

LDAP=openldap-2.3.19
LDAP_DIR=$(switch_srcdir)/libs/$(LDAP)

LDAPLA=$(LDAP_DIR)/libraries/libldap_r/libldap_r.la
LIBLBERLA=$(LDAP_DIR)/libraries/liblber/liblber.la

LOCAL_CFLAGS=-DWITH_OPENLDAP -DLDAP_DEPRECATED -I$(LDAP_DIR)/include

DEFAULT_ARGS=--prefix=$(PREFIX) --disable-shared --with-pic

LOCAL_LIBADD=$(LDAPLA) $(LIBLBERLA)

include $(switch_srcdir)/build/modmake.rules

$(LDAP_DIR):
	$(GETLIB) $(LDAP).tgz
	cd $(LDAP_DIR) && ./configure $(DEFAULT_ARGS) --disable-bdb --disable-hdb --disable-slapd

$(LDAPLA) $(LIBLBERLA): $(LDAP_DIR)
	cd $(LDAP_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/endpoints/mod_portaudio/Makefile ===
BASE=../../../..

PA_DIR=$(BASE)/libs/portaudio

PALA=$(PA_DIR)/lib/libportaudio.la
LOCAL_CFLAGS=-I. -I$(PA_DIR)/include -D__EXTENSION__=1

LOCAL_INSERT_LDFLAGS=if test $$osarch = "Darwin" ; then echo "-framework CoreAudio -framework AudioToolbox -framework AudioUnit -framework Carbon" ; fi ;

LOCAL_LIBADD=$(PALA)
LOCAL_OBJS=pablio.o pa_ringbuffer.o
LOCAL_SOURCES=pablio.c pa_ringbuffer.c

include $(BASE)/build/modmake.rules

$(PALA): $(PA_DIR) $(PA_DIR)/.update
	cd $(PA_DIR) && $(MAKE)
	$(TOUCH_TARGET)

$(LOCAL_OBJS): $(LOCAL_SOURCES)

=== src/mod/formats/mod_local_stream/Makefile ===
MODNAME=mod_local_stream
include ../../../../build/modmake.rules

=== src/mod/languages/mod_lua/Makefile ===
BASE=../../../..
LOCAL_CFLAGS=-Ilua
LIBLUA_A=lua/liblua.a
LOCAL_LIBADD=$(LIBLUA_A)
LOCAL_LDFLAGS=-lm
LOCAL_OBJS=freeswitch_lua.o mod_lua_wrap.o
VERBOSE=1

include $(BASE)/build/modmake.rules

local_depend: $(LOCAL_OBJS)

$(LIBLUA_A):
	cd lua && $(MAKE) CC="$(CC)" CFLAGS="$(ALL_CFLAGS) -DLUA_USE_LINUX -w" liblua.a

luaclean:
	cd lua && $(MAKE) clean

freeswitch_lua.o: freeswitch_lua.h

allclean: clean luaclean
	rm -f mod_lua_wrap.* freeswitch_lua.$(DYNAMIC_LIB_EXTEN)

swigclean: clean
	rm -f mod_lua_wrap.*

mod_lua_wrap.cpp: mod_lua_extra.c
	swig -lua -c++ -I../../../../src/include -oh mod_lua_wrap.h -o mod_lua_wrap.cpp freeswitch.i
	echo "#include \"mod_lua_extra.c\"" >> mod_lua_wrap.cpp
	patch -s -p0 -i hack.diff

freeswitch_lua.$(DYNAMIC_LIB_EXTEN): $(LOCAL_OBJS) $(LOCAL_LIBADD)
	$(LINK) $(SOLINK) -o freeswitch_lua.$(DYNAMIC_LIB_EXTEN)  $(LOCAL_OBJS) $(LOCAL_LIBADD) $(LDFLAGS)

=== src/mod/languages/mod_perl/Makefile ===
BASE=../../../..
PERL        = `which perl`
PERL_LIBDIR =-L$(shell perl -MConfig -e 'print $$Config{archlib}')/CORE
PERL_LIBS   =$(shell perl -MConfig -e 'print $$Config{libs}')
LOCAL_CFLAGS= -w -DMULTIPLICITY $(shell $(PERL) -MExtUtils::Embed -e ccopts) -DEMBED_PERL
LOCAL_LDFLAGS=$(shell $(PERL) -MExtUtils::Embed -e ldopts) $(shell $(PERL) -MConfig -e 'print $$Config{libs}')
LOCAL_OBJS=freeswitch_perl.o mod_perl_wrap.o perlxsi.o
VERBOSE=1

include $(BASE)/build/modmake.rules


swigclean: clean
	rm -f mod_perl_wrap.* freeswitch.so freeswitch.pm

mod_perl_wrap.cpp:
	swig -static -shadow -perl5 -c++ -DMULTIPLICITY -I../../../../src/include -o mod_perl_wrap.cpp freeswitch.i
	echo "#include \"mod_perl_extra.c\"" >> mod_perl_wrap.cpp
	#	patch -s -p0 -i hack.diff



freeswitch.$(DYNAMIC_LIB_EXTEN): $(LOCAL_OBJS) $(LOCAL_LIBADD)
	$(LINK) $(SOLINK) -o freeswitch.$(DYNAMIC_LIB_EXTEN)  $(LOCAL_OBJS) $(LOCAL_LIBADD) $(LDFLAGS)

local_all: freeswitch.$(DYNAMIC_LIB_EXTEN)

.perlok:
	@(${PERL} -V | grep -i usemultiplicity=define >/dev/null && echo Phew, You have the right perl.) \
	|| ((echo Sorry, you need to compile perl with threads and multiplicity.&& exit 1))
	@touch .perlok

local_clean:
	rm -fr *~ .perlok freeswitch.$(DYNAMIC_LIB_EXTEN)

depend_install:
	mkdir -p $(DESTDIR)$(PREFIX)/perl
	$(LTINSTALL) freeswitch.$(DYNAMIC_LIB_EXTEN) freeswitch.pm $(DESTDIR)$(PREFIX)/perl
	if [ ! -f $(DESTDIR)$(PREFIX)/perl/freeswitch.pm ] ; then $(LTINSTALL) freeswitch.pm $(DESTDIR)$(PREFIX)/perl ; fi

=== src/mod/xml_int/mod_xml_curl/Makefile ===
WANT_CURL=yes
include ../../../../build/modmake.rules

=== src/mod/xml_int/mod_xml_ldap/Makefile ===
switch_srcdir=../../../..

LDAP=openldap-2.3.19
LDAP_DIR=$(switch_srcdir)/libs/$(LDAP)

LDAPLA=$(LDAP_DIR)/libraries/libldap_r/libldap_r.la
LIBLBERLA=$(LDAP_DIR)/libraries/liblber/liblber.la

LOCAL_CFLAGS=-DWITH_OPENLDAP -DLDAP_DEPRECATED -I$(LDAP_DIR)/include

DEFAULT_ARGS= --prefix=$(PREFIX) --disable-shared --with-pic --disable-slapd
DEFAULT_ARGS+= --disable-slurpd --disable-relay --disable-bdb --disable-hdb

LOCAL_LIBADD=$(LDAPLA) $(LIBLBERLA)

include $(switch_srcdir)/build/modmake.rules

$(LDAP_DIR):
	$(GETLIB) $(LDAP).tgz
	cd $(LDAP_DIR) && CFLAGS="`echo $(CFLAGS) | sed -e 's:-std=c99::'`" ./configure $(DEFAULT_ARGS)

$(LDAPLA) $(LIBLBERLA): $(LDAP_DIR)
	cd $(LDAP_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== libs/xmlrpc-c/lib/expat/xmltok/Makefile ===
###############################################################################
# This directory builds libxmlrpc_xmltok, an XML token parser.  This is
# essentially the separately distributed Expat library from 2001, but
# with slight changes.  The main reason it is bundled with Xmlrpc-c is
# to make the latter easier to build and use.
#
# The library is about XML in general.  There is nothing specific to
# XML-RPC here.
###############################################################################

ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  EXPATDIR := $(call updir,$(CURDIR))
  LIBDIR := $(call updir,$(EXPATDIR))
  SRCDIR := $(call updir,$(LIBDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := lib/expat/xmltok

include $(BLDDIR)/config.mk

# I can't figure out what XML_BYTE_ORDER is, but it doesn't look like the
# code has ever defined it.  That means it's treated like 0 in #if.  Since
# we started using the Gcc -Wundef option, that generates a warning, so
# se set it explicitly to 0 here.

CFLAGS = $(CFLAGS_COMMON) -DXML_BYTE_ORDER=0 $(CFLAGS_PERSONAL) $(CADD)

# -I. is necessary when blddir != srcdir
INCLUDES = -I. -I$(BLDDIR) -I$(SRCDIR)/lib/util/include

default: all

TARGET_LIBRARY_NAMES := libxmlrpc_xmltok

STATIC_LIBRARIES_TO_INSTALL = libxmlrpc_xmltok.a

SHARED_LIBS_TO_BUILD := libxmlrpc_xmltok
SHARED_LIBS_TO_INSTALL := libxmlrpc_xmltok

TARGET_MODS = xmltok xmlrole

OMIT_XMLTOK_LIB_RULE = Y
MAJ=3
  # Major number of shared libraries in this directory

include $(SRCDIR)/common.mk

XMLTOK_SHLIB = $(call shlibfn,libxmlrpc_xmltok)
#XMLTOK_SHLIB is e.g. libxmlrpc_xmltok.so.3.1
XMLTOK_SHLIBLE = $(call shliblefn,libxmlrpc_xmltok)
#XMLTOK_SHLIBLE is e.g. libxmlrpc_xmltok.so

ifneq ($(SHARED_LIB_TYPE),NONE)
  TARGET_SHARED_LIBS := $(XMLTOK_SHLIB) $(XMLTOK_SHLIBLE)
  endif

.PHONY: all
all: libxmlrpc_xmltok.a $(TARGET_SHARED_LIBS) $(TARGET_SHARED_LE_LIBS)

# Rule for this is in common.mk, courtesy of TARGET_SHARED_LIBRARIES:
$(XMLTOK_SHLIB): $(TARGET_MODS:%=%.osh)
$(XMLTOK_SHLIB): LIBOBJECTS = $(TARGET_MODS:%=%.osh)

# Rule for this is in common.mk, courtesy of TARGET_STATIC_LIBRARIES:

libxmlrpc_xmltok.a: $(TARGET_MODS:%=%.o)
libxmlrpc_xmltok.a: LIBOBJECTS = $(TARGET_MODS:%=%.o)

#-----------------------------------------------------------------------------
#  RULES TO COMPILE OBJECT MODULES FOR LIBRARIES
#-----------------------------------------------------------------------------

# Rules to compile object modules from which to build the static and shared
# library are in common.mk, courtesy of TARGET_MODS.


.PHONY: clean
clean: clean-common
	rm -f nametab.h

.PHONY: distclean
distclean: clean distclean-common

.PHONY: tags
tags: TAGS

.PHONY: distdir
distdir:

.PHONY: install
install: install-common

.PHONY: dep
dep: dep-common

GENNMTAB = ../gennmtab/gennmtab

nametab.h: $(GENNMTAB)
	rm -f $@
	$(GENNMTAB) >$@

$(GENNMTAB):
	$(MAKE) -C $(dir $@) $(notdir $@)

xmltok.o xmltok.osh: nametab.h

include Makefile.depend

=== debian/changelog ===
freeswitch (1.0.0-1) unstable; urgency=low

   * Enhanced sofia sip nat handling
   * Many fixes found by Klockwork (www.klocwork.com)
   * Added disable_app_log variable
   * Fixed mod_local_stream with rates on windows
   * Fixed finding of files in rate dirs on windows
   * Fixed memory corruption from sofia_contact function
   * Added sofia profile param NDLB-received-in-nat-reg-contact
   * Added sofia profile param aggressive-nat-detection
   * Fixed video sip calls in proxy media mode
   * Added bridge_terminate_key var
   * Update xmlrpc-c lib to trunk revision from upstream, fix windows xmlrpc
   * Enhanced nat handling in proxy media mode in sip
   * Add progress media to timetable so you can calculate pdd
   * Fixed seg when using unicast on socket when call has no read_codec
   * Fixed missed log events on busy box
   * Added -bleg to intercept
   * Enhance configure detection of python
   * Fixed build on solaris and freebsd for several modules
   * Added param "vm-email-only" to make voicemail sent by email only (previously default behavior)
   * Added param "vm-mailto-notify" to allow sending a notification email
   * Fixed mod_java build
   * Fixed mwi failures for some devices that don't subscribe
   * Removed fsapi functions (killchan, transfer, session_displace, reject)
   * Removed fsapi functions (session_record, broadcast, hold, media)
   * Many updates to sofia-sip library including over 100 fixes

 -- Michael Jerris <mike@jerris.com>  Tue, 27 May 2008 01:30:00 -0400

freeswitch (1.0~rc6-1) unstable; urgency=low

   * Changed to not allow pass_2833 on transcoded calls 
     (it never worked, now it will tell you)
   * Enhanced sofia sip nat handling
   * Fix libedit build on solaris
   * Fix session timers in mod_sofia
   * Fix conference fire-call
   * Change: add var_event down into the endpoints so chans 
     with no parents can still pass options
   * Added enable-post-var param to xml_rpc
   * Fix mod_lua build on solaris
   * Many fixes found by Klockwork (www.klocwork.com)
   * Add unregister event in mod_sofia
   * Enhance python configure detection
   * Add vm_boxcount api func
   * Fixed att_xfer issue
   * Fix sip now includes the Allow-Events header in more places

 -- Michael Jerris <mike@jerris.com>  Tue, 13 May 2008 02:01:00 -0400

freeswitch (1.0~rc5-1) unstable; urgency=low

   * Changed internal state names to avoid confusion
     Fixed video negotiation
     Enhanced accuracy of windows timer
     Fixed mod_ldap build
     Added dialplan and context to sql table for channels
     Multiple fixes to mod_lua and mod_perl
     Fixed logic bug in fifo causing segfault
     internal changes to sip stack so we can remove a hash redundant to the stack
     Fixed multiple memory leaks in mod_sofia
     Fixed event fetch segfault on sip subscribe
     Fixed segfault on timer rollover in sofia on 64bit
     Fixed audio timing issues in mod_portaudio
     Changed names of sip profiles in default config to avoid confusion
     Fixed memory usage leak-like behavior when playing files requiring resampling
     Removed some unused api's
     Fix rtp timeout when playing moh
     Removed some un-needed libraries and files from tree
     Fixed multiple issues in sip stack including multiple segfaults
     Added support for sip transfers on bypass_media and proxy_media calls
     Added say application
     Fixed --disable-debug configure option
     Enhanced switch_cpp wrapper (and perl, python, lua, java)
     Fixed segfault on inavalid stun response
     Fixed configure help output
     Fixed segfault on mp3 playback
     Fixed assert on invalid sdp (missing m= line)
     Added configurable windows service name
     Fixed proxy mode call transition to non proxy call
     Fixed solaris build of voipcodecs
     Fixed sofia seg when call failure edge case

 -- Michael Jerris <mike@jerris.com>  Tue, 13 May 2008 02:01:00 -0400

freeswitch (1.0~8327) unstable; urgency=low

  * Adding perl and lua separate packages
  * Adding mod_voipcodecs

 -- root <root@fs.navynet.it>  Tue,  6 May 2008 09:46:26 +0000

freeswitch (1.0~rc4-1) unstable; urgency=low
   * Add tab completion in cli
     Add "inline" dialplan
     Fixed segfault in enum
     Enhance enum to fork dial equal priority entries
     Added auto-reload to enum
     Fixed odbc bug is mod_sofia presence handling
     Add presence for conference and dial an eavesdrop
     Fix stack overflow segfault when recursively parking calls
     Fixed race is sofia registration handling
     Enhance sofia registration, unregister on keep-alive OPTIONS failure
     Added internal routing loop detection/avoidance
     Fixed race in bgapi in event socket
     Fixed vars to execute apps before bridge "bridge_pre_execute_aleg_app" and "bridge_pre_execute_bleg_app"
     Fixed re-setting sound prefix to no prefix after a pharse
     Enhanced setting of bracket vars from originate so they show in the CHANNEL_ORIGINATE event
     Add "enable-timer" and "enable-100rel" options to turn off default behaviors in sofia
     Add originate_timeout to originate vars
     Fixed hanging channels in mod_portaudio
     Added auto time sync on vps migration to different hardware
     Fixed seg on transfer when both legs are not sip
     Added configurable dtmf duration defaults
     Enhanced voicemail, allow interruption of hello message
     Fixed voicemail to not light up light on saved messages
     Enhance mod_amr honor disable dtx in fmtp (MODCODEC-3)
     Fixed bootstrap to install automake dependencies so you can use tarball without same version of automake installed
     Fixed MODLANG-56 (bad audio on originate and javascript streamFile)
     Added hold/unhold dialplan apps
     Enhanced sofia error checking to outlaw 0.0.0.0 in sofia ip params
     Backport fixes from sofia-sip tree
     Fixed MSVC build
     Fixed segfault on sip SUBSCRIBE with Expires: 0
     Added mod_say_zh


=== debian/control ===
Source: freeswitch
Maintainer: Michal Bielicki <michal.bielicki@voiceworks.pl>
Section: net
Priority: extra
Build-Depends: debhelper (>= 5), automake1.9, autoconf, libtool, unixodbc-dev, libasound2-dev, libcurl3-dev|libcurl4-openssl-dev, libssl-dev, ncurses-dev, libogg-dev, libvorbis-dev, libperl-dev, libgdbm-dev, libdb4.4-dev, libgnutls-dev
Standards-Version: 3.7.2

Package: freeswitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unixodbc, libasound2, libcurl3, openssl, libncurses5
Suggests: monit
Description: A telephony platform that really kicks some ass...
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Development Package for the FreeSwitch open source telephony platform

Package: freeswitch-spidermonkey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: A Javascript engine for freeswitch

Package: freeswitch-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: A perl engine for freeswitch

Package: freeswitch-lua
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: A lua engine for freeswitch

Package: freeswitch-codec-passthru-g7231
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through g723.1 Codec support for the FreeSWITCH open source telephony platform

Package: freeswitch-codec-passthru-amr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through AMR Codec support for the FreeSWITCH open source telephony platform

Package: freeswitch-codec-passthru-g729
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through g729 Codec support for the FreeSWITCH open source telephony platform

Package: freeswitch-lang-en
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: English language files for the FreeSWITCH open source telephony platform

Package: freeswitch-lang-de
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: German language files for the FreeSWITCH open source telephony platform

Package: freeswitch-lang-fr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: French language files for the FreeSWITCH open source telephony platform

Package: freeswitch-lang-it
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Italian language files for the FreeSWITCH open source telephony platform

=== libs/voipcodecs/debian/control ===
Source: voipcodecs
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Kilian Krause <kilian@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir.cohen@xorcom.com>, Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: debhelper (>= 4.0.0), libtiff4-dev, libjpeg62-dev, dpatch, doxygen, autotools-dev
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-voip/
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/

Package: libvoipcodecs3
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libvoipcodecs0, libvoipcodecs1, libvoipcodecs2
Description: Telephony signal processing library
 This is a low-level signal processing library that modulate and demodulate
 signals commonly used in telephony, such as the "noise" generated by a
 fax modem or DTMF touchpad.
 .
 This package contains the shared library.

Package: libvoipcodecs-dev
Section: libdevel
Architecture: any
Depends: libvoipcodecs3 (= ${Source-Version}), libtiff4-dev, libjpeg62-dev
Description: Telephony signal processing library
 This is a low-level signal processing library that modulate and demodulate
 signals commonly used in telephony, such as the "noise" generated by a
 fax modem or DTMF touchpad.
 .
 This package contains the static library and development headers.
 .
 Homepage: http://www.soft-switch.org/

Package: libvoipcodecs-doc
Section: doc
Architecture: all
Description: Documentation for the voipcodecs signal processing library
 This package contains the online API in HTML for the libvoipcodecs, a low
 level signal processing library that modulate and demodulate siignals
 commonly used in telephony, such as the "noise" generated by a fax
 modem or DTMF touchpad.
